function obj=true(varargin)
% FUNCTION fc_amat.true
% -- true([N,m,n])
% -- true(N,m,n)
%      Return an N-by-m-by-n logical amat object where each of its N matrices are the 
%      m-by-n matrix whose elements are all logical 1 (true).
%
% -- true(N,m)
%      Return an N-by-m-by-m amat object where each of its N matrices are the 
%      m-by-m matrix whose elements are logical 1 (true).
%    
%
%      See also: fc_amat.false, fc_amat.zeros, fc_amat.eye, 
%                fc_amat.random.rand, fc_amat.random.randn
%
  assert( ismember(nargin,[1,2,3]) )
  switch nargin
    case 1 % varargin={[N,m,n]} 
      S=varargin{1}; assert(length(S)==3)
      N=S(1);m=S(2);n=S(3);
    case 2 % varargin={N,m} 
        N=varargin{1};m=varargin{2};n=m;
    case 3  % varargin={N,m,n}
      N=varargin{1};
      m=varargin{2};
      n=varargin{3};
  end
  obj=amat(true(N,m,n));
end
